classification
Title: urllib.parse clarify what ' ' in schemes mean
Type: behavior Stage: resolved
Components: Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: orsenthil
Priority: normal Keywords:

Created on 2017-04-04 04:54 by orsenthil, last changed 2017-05-21 06:23 by orsenthil. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 984 merged orsenthil, 2017-04-07 19:33
PR 1692 merged orsenthil, 2017-05-21 05:24
PR 1693 merged orsenthil, 2017-05-21 05:24
Messages (5)
msg291100 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2017-04-04 04:54
urllib.parse has the following information in this module.

```
# A classification of schemes ('' means apply by default)
uses_relative = ['ftp', 'http', 'gopher', 'nntp', 'imap',
                 'wais', 'file', 'https', 'shttp', 'mms',
                 'prospero', 'rtsp', 'rtspu', '', 'sftp',
                 'svn', 'svn+ssh', 'ws', 'wss']

```

Note the '' in the list.

1) First it needs to be first one for easy identification.
2) It needs to be clarified. '' means apply by default does not help the reader.
msg291102 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2017-04-04 04:57
https://github.com/python/cpython/pull/984 proposes a change. I'll need some reviews on this changed text.

Note: I am aware that there is an issue (long pending), which suggests deal away with these schemes at the top.  If we get to that immediately, I will be happy, if not, consider this PR as the improvement over the status quo.
msg293909 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2017-05-18 04:49
New changeset 906f5330b9c9a74cad1cf27fddaf77e99dff9edd by Senthil Kumaran in branch 'master':
bpo-29976: urllib.parse clarify '' in scheme values. (GH-984)
https://github.com/python/cpython/commit/906f5330b9c9a74cad1cf27fddaf77e99dff9edd
msg294076 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2017-05-21 06:22
New changeset a2a822614c64b01b0cf5c0ee63a96b3ad4561a85 by Senthil Kumaran in branch '3.5':
bpo-29976: urllib.parse clarify '' in scheme values. (GH-984) (GH-1693)
https://github.com/python/cpython/commit/a2a822614c64b01b0cf5c0ee63a96b3ad4561a85
msg294077 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2017-05-21 06:23
New changeset b5bf7e85b74070973bff3e69990f948a0ed5efdb by Senthil Kumaran in branch '3.6':
bpo-29976: urllib.parse clarify '' in scheme values. (GH-984) (GH-1692)
https://github.com/python/cpython/commit/b5bf7e85b74070973bff3e69990f948a0ed5efdb
History
Date User Action Args
2017-05-21 06:23:05orsenthilsetmessages: + msg294077
2017-05-21 06:22:57orsenthilsetmessages: + msg294076
2017-05-21 05:25:37orsenthilsetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2017-05-21 05:24:37orsenthilsetpull_requests: + pull_request1786
2017-05-21 05:24:33orsenthilsetpull_requests: + pull_request1785
2017-05-18 04:49:01orsenthilsetmessages: + msg293909
2017-04-07 19:33:56orsenthilsetpull_requests: + pull_request1190
2017-04-04 04:57:31orsenthilsetmessages: + msg291102
2017-04-04 04:54:17orsenthilcreate